
package com.tmerclub.cloud.api.coupon.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 选择优惠券
 * @author tmerclub
 * @date 2020/12/17
 */
public class BindCouponDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "优惠券id数组")
    private List<Long> couponIds;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<Long> getCouponIds() {
        return couponIds;
    }

    public void setCouponIds(List<Long> couponIds) {
        this.couponIds = couponIds;
    }

    @Override
    public String toString() {
        return "BindCouponDTO{" +
                "userId=" + userId +
                ", couponIds=" + couponIds +
                '}';
    }
}
